use crate::{Player, ClientInfo, JsonValue};

#[derive(Debug)]
pub enum ClientEvent {
	Handshake(ClientInfo),
	Join(Player),
	KeepAlive(i64),
	Command(String),
	Message(String),
	Disconnect,
}

#[derive(Debug)]
pub enum ServerEvent {
	Disconnect(Option<String>),
	KeepAlive(i64),
	SystemMessage(JsonValue, bool),
	ChatMessage(JsonValue, JsonValue),
}
